Bug 872818 - samba pulls in perl dependency
Summary: samba pulls in perl dependency
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: samba
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Guenther Deschner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: depchain
TreeView+ depends on / blocked
 
Reported: 2012-11-03 14:27 UTC by Peter Robinson
Modified: 2012-11-25 15:17 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-25 15:17:51 UTC
Type: Bug


Attachments (Terms of Use)

Description Peter Robinson 2012-11-03 14:27:20 UTC
samba-4.0.0-163.fc18.fc4 pulls in perl-Parser-Yapp which in tern pulls in the entire perl stack.

This adds quite a large new dependency that we never use to need.

Comment 1 Andreas Schneider 2012-11-05 13:42:37 UTC
Ups, yes. Only samba4-pidl should require it.

Comment 2 Fedora Update System 2012-11-05 14:34:41 UTC
samba-4.0.0-165.fc18.rc4 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/samba-4.0.0-165.fc18.rc4

Comment 3 Fedora Update System 2012-11-05 22:45:06 UTC
Package samba-4.0.0-165.fc18.rc4:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing samba-4.0.0-165.fc18.rc4'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17632/samba-4.0.0-165.fc18.rc4
then log in and leave karma (feedback).


Note You need to log in before you can comment on or make changes to this bug.